summaryrefslogtreecommitdiffstats
path: root/remoting
diff options
context:
space:
mode:
authorgarykac@chromium.org <garykac@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2012-05-23 00:04:44 +0000
committergarykac@chromium.org <garykac@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2012-05-23 00:04:44 +0000
commit9f4bd34dd7d33e897a07eee035d87f8afc62df09 (patch)
treef2d28bc9ed75077d2a96cdf1dea0c7ac5607d3be /remoting
parent82194b5fba6a05d0723146e55b33863cf220b684 (diff)
downloadchromium_src-9f4bd34dd7d33e897a07eee035d87f8afc62df09.zip
chromium_src-9f4bd34dd7d33e897a07eee035d87f8afc62df09.tar.gz
chromium_src-9f4bd34dd7d33e897a07eee035d87f8afc62df09.tar.bz2
[Chromoting] Simple script to print out installed mac version info.
BUG=none TEST=none Review URL: https://chromiumcodereview.appspot.com/10332303 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@138401 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'remoting')
-rwxr-xr-xremoting/tools/get_mac_crd_version.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/remoting/tools/get_mac_crd_version.sh b/remoting/tools/get_mac_crd_version.sh
new file mode 100755
index 0000000..806e09a
--- /dev/null
+++ b/remoting/tools/get_mac_crd_version.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# Copyright (c) 2012 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+ME2ME_HOST="/Library/PrivilegedHelperTools/org.chromium.chromoting.me2me_host.app"
+UNINSTALLER="/Applications/Chrome Remote Desktop Host Uninstaller.app"
+PREFPANE="/Library/PreferencePanes/org.chromium.chromoting.prefPane"
+KEYSTONE="/Library/Google/GoogleSoftwareUpdate/GoogleSoftwareUpdate.bundle"
+
+INFO_PLIST="Contents/Info.plist"
+
+set -e -u
+
+function print_plist_version {
+ local name="${1}"
+ local file="${2}"
+ set `PlistBuddy -c 'Print CFBundleVersion' "${file}/${INFO_PLIST}"`
+ echo "${name} version = ${1}"
+}
+
+print_plist_version "Me2me host" "${ME2ME_HOST}"
+print_plist_version "Uninstaller" "${UNINSTALLER}"
+print_plist_version "PreferencePane" "${PREFPANE}"
+print_plist_version "Keystone" "${KEYSTONE}"